From df0460bce8d0365b3d1ff205e233ed11eef62219 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:32:28 +0200
Subject: [PATCH 1/7] ocaml: update to 4.08.0.

---
 ...v2.patch => ocaml-4.08.0-elfv2-ppc64.patch} | 18 +++++++++---------
 ....2-pie.patch => ocaml-4.08.0-ppc-pie.patch} | 10 +++++-----
 ... => ocaml-4.08.0-ppc-sigcontext-musl.patch} |  8 ++++----
 srcpkgs/ocaml/template                         | 14 +++++++-------
 srcpkgs/swi-prolog/template                    |  6 +++---
 srcpkgs/xchm/template                          |  4 ++--
 6 files changed, 30 insertions(+), 30 deletions(-)
 rename srcpkgs/ocaml/patches/{ocaml-4.04.2-elfv2.patch => ocaml-4.08.0-elfv2-ppc64.patch} (93%)
 rename srcpkgs/ocaml/patches/{ocaml-4.04.2-pie.patch => ocaml-4.08.0-ppc-pie.patch} (71%)
 rename srcpkgs/ocaml/patches/{ocaml-4.04.2-sigcontext.patch => ocaml-4.08.0-ppc-sigcontext-musl.patch} (77%)

diff --git a/srcpkgs/ocaml/patches/ocaml-4.04.2-elfv2.patch b/srcpkgs/ocaml/patches/ocaml-4.08.0-elfv2-ppc64.patch
similarity index 93%
rename from srcpkgs/ocaml/patches/ocaml-4.04.2-elfv2.patch
rename to srcpkgs/ocaml/patches/ocaml-4.08.0-elfv2-ppc64.patch
index d1d195765ca..144a555322a 100644
--- a/srcpkgs/ocaml/patches/ocaml-4.04.2-elfv2.patch
+++ b/srcpkgs/ocaml/patches/ocaml-4.08.0-elfv2-ppc64.patch
@@ -1,5 +1,5 @@
---- ocaml-4.04.2/asmcomp/power/arch.ml
-+++ ocaml-4.04.2/asmcomp/power/arch.ml
+--- ocaml-4.08.0/asmcomp/power/arch.ml
++++ ocaml-4.08.0/asmcomp/power/arch.ml
 @@ -28,7 +28,7 @@ type abi = ELF32 | ELF64v1 | ELF64v2
  let abi =
    match Config.model with
@@ -9,8 +9,8 @@
    | "ppc64le" -> ELF64v2
    | _ -> assert false
  
---- ocaml-4.04.2/asmrun/power.S
-+++ ocaml-4.04.2/asmrun/power.S
+--- ocaml-4.08.0/runtime/power.S
++++ ocaml-4.08.0/runtime/power.S
 @@ -13,7 +13,7 @@
  /*                                                                        */
  /**************************************************************************/
@@ -114,8 +114,8 @@
          .section ".opd","aw"
  #else
          .section ".text"
---- ocaml-4.04.2/testsuite/tests/asmgen/power.S
-+++ ocaml-4.04.2/testsuite/tests/asmgen/power.S
+--- ocaml-4.08.0/testsuite/tools/asmgen_power.S
++++ ocaml-4.08.0/testsuite/tools/asmgen_power.S
 @@ -25,12 +25,10 @@
  #if defined(MODEL_ppc)
  #define RESERVED_STACK 16
@@ -181,9 +181,9 @@
          mtctr   28
          mr      12, 28
  #else
---- ocaml-4.04.2/byterun/caml/stack.h
-+++ ocaml-4.04.2/byterun/caml/stack.h
-@@ -40,10 +40,10 @@
+--- ocaml-4.08.0/runtime/caml/stack.h
++++ ocaml-4.08.0/runtime/caml/stack.h
+@@ -35,10 +35,10 @@
  #if defined(MODEL_ppc)
  #define Saved_return_address(sp) *((intnat *)((sp) - 4))
  #define Callback_link(sp) ((struct caml_context *)((sp) + 16))
diff --git a/srcpkgs/ocaml/patches/ocaml-4.04.2-pie.patch b/srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-pie.patch
similarity index 71%
rename from srcpkgs/ocaml/patches/ocaml-4.04.2-pie.patch
rename to srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-pie.patch
index 6aed5844d33..138f8185f85 100644
--- a/srcpkgs/ocaml/patches/ocaml-4.04.2-pie.patch
+++ b/srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-pie.patch
@@ -1,6 +1,6 @@
---- ocaml-4.04.2/asmcomp/emitaux.ml
-+++ ocaml-4.04.2/asmcomp/emitaux.ml
-@@ -205,6 +205,7 @@ let emit_frames a =
+--- ocaml-4.08.0/asmcomp/emitaux.ml
++++ ocaml-4.08.0/asmcomp/emitaux.ml
+@@ -213,6 +213,7 @@ let emit_frames a =
      | None -> a.efa_word 0
      end
    in
@@ -8,8 +8,8 @@
    a.efa_word (List.length !frame_descriptors);
    List.iter emit_frame !frame_descriptors;
    Label_table.iter emit_debuginfo debuginfos;
---- ocaml-4.04.2/asmrun/power.S
-+++ ocaml-4.04.2/asmrun/power.S
+--- ocaml-4.08.0/runtime/power.S
++++ ocaml-4.08.0/runtime/power.S
 @@ -642,6 +642,7 @@ caml_system__code_end:
  /* Frame table */
  
diff --git a/srcpkgs/ocaml/patches/ocaml-4.04.2-sigcontext.patch b/srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-sigcontext-musl.patch
similarity index 77%
rename from srcpkgs/ocaml/patches/ocaml-4.04.2-sigcontext.patch
rename to srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-sigcontext-musl.patch
index 9cad3403931..a40bc5fd64d 100644
--- a/srcpkgs/ocaml/patches/ocaml-4.04.2-sigcontext.patch
+++ b/srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-sigcontext-musl.patch
@@ -1,5 +1,5 @@
---- ocaml-4.04.2/asmrun/signals_osdep.h
-+++ ocaml-4.04.2/asmrun/signals_osdep.h
+--- ocaml-4.04.2/runtime/signals_osdep.h
++++ ocaml-4.04.2/runtime/signals_osdep.h
 @@ -297,11 +297,11 @@
       sigact.sa_flags = 0
  
@@ -15,5 +15,5 @@
 +  #define CONTEXT_YOUNG_PTR (context->gp_regs[31])
 +  #define CONTEXT_SP (context->gp_regs[1])
  
- /****************** s390x, ELF (Linux) */
- #elif defined(TARGET_s390x) && defined(SYS_elf)
+ /****************** PowerPC, NetBSD */
+ 
diff --git a/srcpkgs/ocaml/template b/srcpkgs/ocaml/template
index 08cf3a232ca..d88459b493d 100644
--- a/srcpkgs/ocaml/template
+++ b/srcpkgs/ocaml/template
@@ -1,21 +1,21 @@
 # Template file for 'ocaml'
 pkgname=ocaml
-version=4.07.1
+version=4.08.0
 revision=1
+build_style="gnu-configure"
+configure_args="--with-pic"
 makedepends="ncurses-devel libX11-devel"
-short_desc="The main implementation of the Caml language"
+short_desc="Main implementation of the Caml language"
 maintainer="Leah Neukirchen <leah@vuxu.org>"
 license="QPL-1.0, LGPL-2.1-only"
 homepage="http://ocaml.org/"
 distfiles="https://github.com/${pkgname}/${pkgname}/archive/${version}.tar.gz"
-checksum=83683ddad54bd23773591a9f757e702fa5cfa2ea1b124d8fe75a73729e592bfe
+checksum=c8ff78d010cb037ac6d6729e40ebdbee109218899007ef23a20b8f459ac186d6
 nocross=yes
-disable_parallel_build=yes
 patch_args="-Np1"
 
-do_configure() {
-	./configure -prefix /usr -mandir /usr/share/man -fPIC
-}
+export ASPP="cc -c"
+
 do_build() {
 	make ${makejobs} world.opt
 }
diff --git a/srcpkgs/swi-prolog/template b/srcpkgs/swi-prolog/template
index 98218151081..3f410aa1a5b 100644
--- a/srcpkgs/swi-prolog/template
+++ b/srcpkgs/swi-prolog/template
@@ -1,7 +1,7 @@
 # Template file for 'swi-prolog'
 pkgname=swi-prolog
-version=8.0.2
-revision=2
+version=8.0.3
+revision=1
 wrksrc="swipl-${version}"
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
@@ -15,7 +15,7 @@ license="LGPL-2.1-or-later"
 homepage="http://www.swi-prolog.org/"
 changelog="http://www.swi-prolog.org/ChangeLog?branch=stable"
 distfiles="http://www.swi-prolog.org/download/stable/src/swipl-${version}.tar.gz"
-checksum=abb81b55ac5f2c90997c0005b1f15b74ed046638b64e784840a139fe21d0a735
+checksum=cee59c0a477c8166d722703f6e52f962028f3ac43a5f41240ecb45dbdbe2d6ae
 
 case "$XBPS_TARGET_MACHINE" in
 	armv*) broken="https://travis-ci.org/void-linux/void-packages/jobs/510224384";;
diff --git a/srcpkgs/xchm/template b/srcpkgs/xchm/template
index 83c9fa3ab72..0aab957949f 100644
--- a/srcpkgs/xchm/template
+++ b/srcpkgs/xchm/template
@@ -1,6 +1,6 @@
 # Template file for 'xchm'
 pkgname=xchm
-version=1.29
+version=1.30
 revision=1
 build_style=gnu-configure
 configure_args="--with-wx-config=wx-config-gtk3"
@@ -11,7 +11,7 @@ maintainer="Leah Neukirchen <leah@vuxu.org>"
 license="GPL-2.0-or-later"
 homepage="https://github.com/rzvncj/xCHM"
 distfiles="https://github.com/rzvncj/xCHM/releases/download/${version}/xchm-${version}.tar.gz"
-checksum=cea900cf4252c7f2f6736e48a4f639b0bad00fdce249aa55ebb6a44dcf976b0a
+checksum=85a98f2a40d53fb43a49dfe91f0854cd511033271b3a9c45f0a5d77bc7e2c5a0
 
 pre_configure() {
 	autoreconf -fi

From a6febd669c8e85989e1418a065f96e3fdf42939c Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:33:12 +0200
Subject: [PATCH 2/7] ocamlbuild: rebuild for ocaml-4.08.0

---
 srcpkgs/ocamlbuild/template | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/ocamlbuild/template b/srcpkgs/ocamlbuild/template
index 539c01f9929..bb7d2201edd 100644
--- a/srcpkgs/ocamlbuild/template
+++ b/srcpkgs/ocamlbuild/template
@@ -1,8 +1,10 @@
 # Template file for 'ocamlbuild'
 pkgname=ocamlbuild
 version=0.14.0
-revision=1
+revision=2
 build_style=gnu-makefile
+make_build_args="PREFIX=/usr"
+make_install_args="PREFIX=/usr"
 hostmakedepends="ocaml"
 short_desc="OCaml build tool"
 maintainer="Leah Neukirchen <leah@vuxu.org>"

From 3c05d1e7a22f5b3ca529eac8f8b2dcc83ac5b16a Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:45:53 +0200
Subject: [PATCH 3/7] ocaml-findlib: rebuild for ocaml-4.08.0

---
 srcpkgs/ocaml-findlib/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ocaml-findlib/template b/srcpkgs/ocaml-findlib/template
index bef5edb6170..519aa89bbab 100644
--- a/srcpkgs/ocaml-findlib/template
+++ b/srcpkgs/ocaml-findlib/template
@@ -1,7 +1,7 @@
 # Template file for 'ocaml-findlib'
 pkgname=ocaml-findlib
 version=1.7.3
-revision=3
+revision=5
 build_style=configure
 configure_args="-config /etc/findlib.conf -sitelib /usr/lib/ocaml -mandir /usr/share/man"
 make_build_args="all opt"

From f05da271e6e6ac4ac269f57bec571c10c6cdbc7a Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:49:57 +0200
Subject: [PATCH 4/7] ocaml-num: rebuild for ocaml-4.08.0

---
 srcpkgs/ocaml-num/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ocaml-num/template b/srcpkgs/ocaml-num/template
index 0aca785c495..8afe7d8ff40 100644
--- a/srcpkgs/ocaml-num/template
+++ b/srcpkgs/ocaml-num/template
@@ -1,7 +1,7 @@
 # Template file for 'ocaml-num'
 pkgname=ocaml-num
 version=1.1
-revision=4
+revision=5
 build_style=gnu-makefile
 makedepends="ocaml ocaml-findlib"
 short_desc="OCaml legacy Num library for arbitrary-precision integers"

From 907b370ae82bf24b832f9cfa58dc6deea5fee671 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:56:37 +0200
Subject: [PATCH 5/7] polygen: rebuild for ocaml-4.08.0

---
 srcpkgs/polygen/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/polygen/template b/srcpkgs/polygen/template
index a7ceca1d687..7c5df93839c 100644
--- a/srcpkgs/polygen/template
+++ b/srcpkgs/polygen/template
@@ -1,7 +1,7 @@
 # Template file for 'polygen'
 pkgname=polygen
 version=1.0.6.ds2
-revision=3
+revision=4
 build_style=gnu-makefile
 build_wrksrc="src"
 hostmakedepends="ocaml unzip"

From 4630e7eeac0cc17989c471a18556e4b6862d2086 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:58:29 +0200
Subject: [PATCH 6/7] supermin: rebuild for ocaml-4.08.0

---
 srcpkgs/supermin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/supermin/template b/srcpkgs/supermin/template
index 6845ae9aff3..07fe80f46b3 100644
--- a/srcpkgs/supermin/template
+++ b/srcpkgs/supermin/template
@@ -1,7 +1,7 @@
 # Template file for 'supermin'
 pkgname=supermin
 version=5.1.20
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="ocaml ocaml-findlib pkg-config e2fsprogs cpio perl"
 makedepends="e2fsprogs-devel"

From 243f402b4b650445332550add4e2da78f3ac4170 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 11:04:19 +0200
Subject: [PATCH 7/7] z3: rebuild for ocaml-4.08.0

---
 srcpkgs/z3/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/z3/template b/srcpkgs/z3/template
index f4f7af3a8f9..ccd40cf932f 100644
--- a/srcpkgs/z3/template
+++ b/srcpkgs/z3/template
@@ -1,7 +1,7 @@
 # Template file for 'z3'
 pkgname=z3
 version=4.8.5
-revision=1
+revision=2
 wrksrc="${pkgname}-Z3-${version}"
 build_style=configure
 configure_args="--prefix=/usr -g --python $(vopt_if ocaml --ml)"
